Skip to main content
GET
/
{chainId}
/
yield
/
estimate
Estimate Yield
curl --request GET \
  --url https://api.caminotreasury.com/v1/{chainId}/yield/estimate \
  --header 'x-api-key: <api-key>'
{
  "earning": "<string>",
  "decimals": 123,
  "rate": {
    "apy": 0.045
  },
  "dailyYield": "<string>",
  "monthlyYield": "<string>",
  "annualYield": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Pass your key in the x-api-key header.

Path Parameters

chainId
integer
required

Blockchain chain ID

Query Parameters

address
string
required

Ethereum wallet address to estimate yield for

Pattern: ^0x[a-fA-F0-9]{40}$

Response

Yield estimate

earning
string

Current C0 token balance in raw units

decimals
integer

C0 token decimals (18)

rate
object
dailyYield
string

Estimated daily yield in raw C0 units

monthlyYield
string

Estimated monthly yield in raw C0 units

annualYield
string

Estimated annual yield in raw C0 units